SVNKit Home

## org.tmatesoft.svn.core.javahl
Interface PromptUserPasswordSSL

All Superinterfaces:
  org.tigris.subversion.javahl.PromptUserPassword, org.tigris.subversion.javahl.PromptUserPassword2, org.tigris.subversion.javahl.PromptUserPassword3

public interface PromptUserPasswordSSL
extends org.tigris.subversion.javahl.PromptUserPassword3

Version:
  1.3
Author:
  TMate Software Ltd.

Field Summary

Fields inherited from interface org.tigris.subversion.javahl.PromptUserPassword2
`AccecptTemporary, AcceptPermanently, AcceptTemporary, Reject`

Method Summary
`String` `getSSLClientCertPassword()`
`String` `getSSLClientCertPath()`
`boolean` `promptSSL(String realm, boolean maySave)`

Methods inherited from interface org.tigris.subversion.javahl.PromptUserPassword3
`askQuestion, prompt, userAllowedSave`

Methods inherited from interface org.tigris.subversion.javahl.PromptUserPassword2
`askTrustSSLServer`

Methods inherited from interface org.tigris.subversion.javahl.PromptUserPassword
`askQuestion, askYesNo, getPassword, getUsername, prompt`

Method Detail

### promptSSL

    public boolean promptSSL(String realm,
                             boolean maySave)

### getSSLClientCertPath

    public String getSSLClientCertPath()

### getSSLClientCertPassword

    public String getSSLClientCertPassword()

SVNKit Home

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.